Account API

  • Release version: Australia
  • Updated March 12, 2026
  • 13 minutes to read
  • The Account API provides endpoints to retrieve Customer Service Management (CSM) account records.

    This API requires the Customer Service plugin (com.sn_customerservice) and is provided within the now namespace.

    Users require the csm_ws_integration role for full API access.

    Account - GET /now/account

    Retrieves a specified set of Customer Service Management (CSM) accounts.

    URL format

    Versioned URL: /api/now/{api_version}/account

    Default URL: /api/now/account

    Supported request parameters

    Table 1. Path parameters
    Name Description
    api_version Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest.

    Data type: String

    Table 2. Query parameters
    Name Description
    sysparm_limit
    Maximum number of records to return. For requests that exceed this number of records, use the sysparm_offset parameter to paginate record retrieval.

    In the response, the boolean parameter hasMore is returned. It indicates whether there are more records to return that meet the filter criteria.

    Data type: Number

    Default: 10

    sysparm_offset
    Starting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks.

    For example, the first time you call this endpoint, sysparm_offset is set to "0". To simply page through all available records, use sysparm_offset=sysparm_offset+sysparm_limit, until you reach the end of all records.

    Do not pass a negative number in the sysparm_offset parameter.

    Data type: Number

    Default: 0

    sysparm_query Encoded query used to filter the result set.

    For example:

    sysparm_query=caller_id=javascript:gs.getUserID()^active=true

    The encoded query supports order by. To sort responses based on certain fields, use the ORDERBY and ORDERBYDESC clauses in sysparm_query. For example, sysparm_query=active=true^ORDERBYnumber^ORDERBYDESCcategory filters all active records and orders the results in ascending order by number first, and then in descending order by category.

    If part of the query is invalid, such as by specifying an invalid field name, the instance ignores the invalid part. It then returns rows using only the valid portion of the query. You can control this behavior using the property glide.invalid_query.returns_no_rows. Set this property to true to return no rows on an invalid query.
    Note:
    The glide.invalid_query.returns_no_rows property controls the behavior of all queries across the instance, such as in lists, scripts (GlideRecord.query()), and web service APIs.

    Data type: String

    Table 3. Request body parameters (XML or JSON)
    Element Description
    None

    Headers

    The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

    Table 4. Request headers
    Header Description
    Accept Data format of the response body. Supported types: application/json or application/xml.

    Default: application/json

    Table 5. Response headers
    Header Description
    None

    Status codes

    The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

    Table 6. Status codes
    Status code Description
    200 Successful. The request was successfully processed.
    500 Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

    Response body parameters (JSON or XML)

    Parameter Description
    account_code Unique combination of values that an application uses to identify budget forecasts and budget plans.

    Data type: String

    Maximum length: 255

    account_parent Sys_id of the parent account of this account. Located in the Account [customer_account] table.

    Data type: String

    account_path Path from the parent to the child accounts in the account hierarchy.

    Data type: String

    Maximum length: 255

    active_escalation Sys_id of the active escalation associated with the account.

    Data type: String

    Table: Escalation [sn_customerservice_escalation]

    apple_icon Icon for iPhone home page bookmarks.

    Data type: Image

    banner_image Banner image that appears on the customer portal.

    Data type: Image

    banner_image_light Small banner image.

    Data type: Image

    banner_text Banner text that appears on the customer portal.

    Data type: String

    Maximum length: 4,000

    city City in which the company that is associated with this account resides.

    Data type: String

    Maximum length: 50

    contact Sys_id of a contact record associated with this account.

    Data type: String

    Table: User [sys_user]

    country Country in which the company that is associated with this account resides.

    Data type: String

    Maximum length: 40

    Default: USA

    customer Flag that indicates whether the account is a customer account, as opposed to a partner account.
    Possible values:
    • true: Customer account
    • false: Partner account

    Data type: Boolean

    Default: false

    discount Discount given to the account on purchases.

    Data type: Number

    Maximum length: 15

    fax_phone Primary fax phone number for the company associated with this account.

    Data type: String

    Maximum length: 40

    fiscal_year Fiscal year for the company associated with the account.

    Data type: String

    lat_long_error Difference in the actual location as compared to latitude and longitude information.

    Data type: String

    Maximum length: 1,000

    latitude Latitude of the company associated with this account.

    Data type: Number (floating point number)

    Maximum length: 40

    longitude Longitude of the company associated with this account.

    Data type: Number (floating point number)

    Maximum length: 40

    manufacturer Flag that indicates whether the company associated with this account manufactures goods.

    Possible values:

    • true: Manufactures goods
    • false: Does not manufacture goods

    Data type: Boolean

    Default: false

    market_cap Market value of the associated company's publicly traded stock shares.

    Data type: Number (currency)

    Maximum length: 20

    name Name of the company associated with this account.

    Data type: String

    Maximum length: 80

    notes Additional information about the company.

    Data type: String

    Maximum length: 4,000

    num_employees Number of people employed by the company.

    Data type: Number (Integer)

    Maximum length: 40

    number Number that identifies this account.

    Data type: String

    Maximum length: 40

    parent Sys_id of the parent account of this account.

    Data type: String

    Table: Company [core_company]

    partner Flag that indicates whether the account is a partner account or a customer account.

    Possible values:

    • true: Partner account
    • false: Customer account

    Data type: Boolean

    Default: false

    phone Primary phone number for the company.

    Data type: String

    primary Flag that indicates whether this is a primary account.

    Possible values:

    • true: Primary account
    • false: Secondary account

    Data type: Boolean

    Default: false

    primary_contact Sys_id of the primary contact for the account.

    Data type: String

    Table: Contact [customer_contact]

    profits Profit information entered for this account.

    Data type: Number (Currency)

    Maximum length: 40

    publicly_traded Flag that indicates whether the company associated with this account is publicly traded on the stock exchange.

    Possible values:

    • true: Publicly traded
    • false: Private company

    Data type: Boolean

    rank_tier Type of account.

    Possible values:

    • blacklist
    • other
    • strategic
    • tactical
    • valued

    Data type: String

    Maximum length: 40

    registration_code Unique code that customers use when requesting a login on the customer portal. This code provides a method for validating the customer on the company before granting access.

    Data type: String

    Maximum length: 40

    revenue_per_year Revenue produced by the company associated with this account.

    Data type: Number (Currency)

    Maximum length: 20

    state State in which the company resides.

    Data type: String

    Maximum length: 40

    stock_price Price of the company stock.

    Data type: String

    Maximum length: 40

    stock_symbol Stock symbol of the company.

    Data type: String

    Maximum length: 40

    street Street address of the company.

    Data type: String

    Maximum length: 255

    sys_class_name Table that contains the associated account record.

    Data type: String

    sys_created_by User that originally created the account.

    Data type: String

    Maximum length: 40

    sys_created_on Date and time that the account was originally created.

    Data type: String

    sys_id Sys_id for the account record.

    Data type: String

    sys_mod_count Number of times the account information has been updated.

    Data type: Number (Integer)

    sys_updated_by User that last modified the account information.

    Data type: String

    Maximum length: 40

    sys_updated_on Date and time the account information was last updated.

    Data type: String

    theme Sys_id of the customer portal theme used by this account.

    Data type: String

    Table: Theme [sys_ui_theme]

    vendor Flag that indicates whether the company associated with this account is a vendor.

    Possible values:

    • true: Vendor
    • false: Not a vendor

    Data type: Boolean

    Default: false

    vendor_manager List of sys_ids of the vendor managers for the account.

    Data type: String

    Table: User [sys_user]

    vendor_type List of sys_ids of the type of vendor such as, applications, hardware, services, or software.

    Data type: String

    Table: Vendor Type [vendor_type]

    website URL of the website for the company.

    Data type: String

    Maximum length: 1,024

    zip Zip code of the company.

    Data type: String

    Maximum length: 40

    cURL request

    curl "https://instance.servicenow.com/api/now/account?sysparm_limit=2&sysparm_offset=2>;rel="next" \
    --request GET \
    --header "Accept:application/json" \
    --user 'username':'password'
    
    {
    "result": [
      {
       "banner_image_light": "",
       "country": "USA",
       "parent": "",
       "notes": "",
       "stock_symbol": "",
       "discount": "",
       "active_escalation": "",
       "sys_updated_on": "2019-01-03 19:37:55",
       "apple_icon": "",
       "number": "ACCT0000003",
        "sys_updated_by": "admin",
        "fiscal_year": "",
        "sys_created_on": "2018-12-23 05:25:17",
        "contact": "",
        "stock_price": "",
        "state": "",
        "banner_image": "",
        "sys_created_by": "admin",
        "longitude": "",
        "zip": "BR1 3QR",
        "profits": "0",
        "phone": "+44 20 8466 9992",
        "fax_phone": "",
        "name": "Boxeo EMEA",
        "banner_text": "",
        "account_code": "~~~~3",
        "primary": "false",
        "city": "Bromley",
        "latitude": "",
        "sys_class_name": "customer_account",
        "manufacturer": "false",
        "account_parent": "86837a386f0331003b3c498f5d3ee4ca",
        "sys_id": "3eedd08413651200042ab3173244b088",
        "market_cap": "0",
        "num_employees": "",
        "rank_tier": "",
        "street": "18 London Rd",
        "vendor": "false",
        "lat_long_error": "",
        "theme": "",
        "vendor_type": "",
        "website": "",
        "revenue_per_year": "0",
        "publicly_traded": "false",
        "sys_mod_count": "5",
        "sys_tags": "",
        "partner": "false",
        "registration_code": "BOXEO-EMEA",
        "vendor_manager": "",
        "account_path": "~~~~1/~~~~3",
        "primary_contact": "ff66c1254fb81200025ba3618110c76e",
        "customer": "true"
      },
      {
        "banner_image_light": "",
        "country": "USA",
        "parent": "",
        "notes": "",
        "stock_symbol": "",
        "discount": "",
        "active_escalation": "",
        "sys_updated_on": "2019-01-03 19:38:04",
        "apple_icon": "",
        "number": "ACCT0000004",
        "sys_updated_by": "admin",
        "fiscal_year": "",
        "sys_created_on": "2018-12-23 05:19:24",
        "contact": "",
        "stock_price": "",
        "state": "",
        "banner_image": "",
        "sys_created_by": "admin",
        "longitude": "",
        "zip": "V5L 2G4",
        "profits": "0",
        "phone": "+1 604-255-9797",
        "fax_phone": "",
        "name": "Boxeo Canada",
        "banner_text": "",
        "account_code": "~~~~4",
        "primary": "false",
        "city": "Vancouver",
        "latitude": "",
        "sys_class_name": "customer_account",
        "manufacturer": "false",
        "account_parent": "86837a386f0331003b3c498f5d3ee4ca",
        "sys_id": "609cd80413651200042ab3173244b03e",
        "market_cap": "0",
        "num_employees": "",
        "rank_tier": "",
        "street": "1362 Venables St,, BC V5L 2G4, Canada",
        "vendor": "false",
        "lat_long_error": "",
        "theme": "",
        "vendor_type": "",
        "website": "",
        "revenue_per_year": "0",
        "publicly_traded": "false",
        "sys_mod_count": "5",
        "sys_tags": "",
        "partner": "false",
        "registration_code": "BOXEO-CANADA",
        "vendor_manager": "",
        "account_path": "~~~~1/~~~~4",
        "primary_contact": "c07424a54f781200025ba3618110c746",
        "customer": "true"
      }
     ]
    }

    Account - GET /now/account/{id}

    Retrieves the specified Customer Service Management (CSM) account.

    URL format

    Versioned URL: /api/now/{api_version}/account/{id}

    Default URL: /api/now/account/{id}

    Supported request parameters

    Table 7. Path parameters
    Name Description
    api_version Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the latest.

    Data type: String

    id Sys_id of the account to retrieve. Located in the Customer [customer_account] table.

    Data type: String

    Table 8. Query parameters
    Name Description
    None
    Table 9. Request body parameters (XML or JSON)
    Name Description
    None

    Headers

    The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

    Table 10. Request headers
    Header Description
    Accept Data format of the response body. Supported types: application/json or application/xml.

    Default: application/json

    Table 11. Response headers
    Header Description
    None

    Status codes

    The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

    Table 12. Status codes
    Status code Description
    200 Successful. The request was successfully processed.
    404 Indicates that the request is invalid.i89
    Possible cause:
    • Requested case doesn’t exist.
    • User doesn’t have access to the account record.

    Response body parameters (JSON or XML)

    Parameter Description
    account_code Unique combination of values that an application uses to identify budget forecasts and budget plans.

    Data type: String

    Maximum length: 255

    account_parent Sys_id of the parent account of this account. Located in the Account [customer_account] table.

    Data type: String

    account_path Path from the parent to the child accounts in the account hierarchy.

    Data type: String

    Maximum length: 255

    active_escalation Sys_id of the active escalation associated with the account.

    Data type: String

    Table: Escalation [sn_customerservice_escalation]

    apple_icon Icon for iPhone home page bookmarks.

    Data type: Image

    banner_image Banner image that appears on the customer portal.

    Data type: Image

    banner_image_light Small banner image.

    Data type: Image

    banner_text Banner text that appears on the customer portal.

    Data type: String

    Maximum length: 4,000

    city City in which the company that is associated with this account resides.

    Data type: String

    Maximum length: 50

    contact Sys_id of a contact record associated with this account.

    Data type: String

    Table: User [sys_user]

    country Country in which the company that is associated with this account resides.

    Data type: String

    Maximum length: 40

    Default: USA

    customer Flag that indicates whether the account is a customer account, as opposed to a partner account.
    Possible values:
    • true: Customer account
    • false: Partner account

    Data type: Boolean

    Default: false

    discount Discount given to the account on purchases.

    Data type: Number

    Maximum length: 15

    fax_phone Primary fax phone number for the company associated with this account.

    Data type: String

    Maximum length: 40

    fiscal_year Fiscal year for the company associated with the account.

    Data type: String

    lat_long_error Difference in the actual location as compared to latitude and longitude information.

    Data type: String

    Maximum length: 1,000

    latitude Latitude of the company associated with this account.

    Data type: Number (floating point number)

    Maximum length: 40

    longitude Longitude of the company associated with this account.

    Data type: Number (floating point number)

    Maximum length: 40

    manufacturer Flag that indicates whether the company associated with this account manufactures goods.

    Possible values:

    • true: Manufactures goods
    • false: Does not manufacture goods

    Data type: Boolean

    Default: false

    market_cap Market value of the associated company's publicly traded stock shares.

    Data type: Number (currency)

    Maximum length: 20

    name Name of the company associated with this account.

    Data type: String

    Maximum length: 80

    notes Additional information about the company.

    Data type: String

    Maximum length: 4,000

    num_employees Number of people employed by the company.

    Data type: Number (Integer)

    Maximum length: 40

    number Number that identifies this account.

    Data type: String

    Maximum length: 40

    parent Sys_id of the parent account of this account.

    Data type: String

    Table: Company [core_company]

    partner Flag that indicates whether the account is a partner account or a customer account.

    Possible values:

    • true: Partner account
    • false: Customer account

    Data type: Boolean

    Default: false

    phone Primary phone number for the company.

    Data type: String

    primary Flag that indicates whether this is a primary account.

    Possible values:

    • true: Primary account
    • false: Secondary account

    Data type: Boolean

    Default: false

    primary_contact Sys_id of the primary contact for the account.

    Data type: String

    Table: Contact [customer_contact]

    profits Profit information entered for this account.

    Data type: Number (Currency)

    Maximum length: 40

    publicly_traded Flag that indicates whether the company associated with this account is publicly traded on the stock exchange.

    Possible values:

    • true: Publicly traded
    • false: Private company

    Data type: Boolean

    rank_tier Type of account.

    Possible values:

    • blacklist
    • other
    • strategic
    • tactical
    • valued

    Data type: String

    Maximum length: 40

    registration_code Unique code that customers use when requesting a login on the customer portal. This code provides a method for validating the customer on the company before granting access.

    Data type: String

    Maximum length: 40

    revenue_per_year Revenue produced by the company associated with this account.

    Data type: Number (Currency)

    Maximum length: 20

    state State in which the company resides.

    Data type: String

    Maximum length: 40

    stock_price Price of the company stock.

    Data type: String

    Maximum length: 40

    stock_symbol Stock symbol of the company.

    Data type: String

    Maximum length: 40

    street Street address of the company.

    Data type: String

    Maximum length: 255

    sys_class_name Table that contains the associated account record.

    Data type: String

    sys_created_by User that originally created the account.

    Data type: String

    Maximum length: 40

    sys_created_on Date and time that the account was originally created.

    Data type: String

    sys_id Sys_id for the account record.

    Data type: String

    sys_mod_count Number of times the account information has been updated.

    Data type: Number (Integer)

    sys_updated_by User that last modified the account information.

    Data type: String

    Maximum length: 40

    sys_updated_on Date and time the account information was last updated.

    Data type: String

    theme Sys_id of the customer portal theme used by this account.

    Data type: String

    Table: Theme [sys_ui_theme]

    vendor Flag that indicates whether the company associated with this account is a vendor.

    Possible values:

    • true: Vendor
    • false: Not a vendor

    Data type: Boolean

    Default: false

    vendor_manager List of sys_ids of the vendor managers for the account.

    Data type: String

    Table: User [sys_user]

    vendor_type List of sys_ids of the type of vendor such as, applications, hardware, services, or software.

    Data type: String

    Table: Vendor Type [vendor_type]

    website URL of the website for the company.

    Data type: String

    Maximum length: 1,024

    zip Zip code of the company.

    Data type: String

    Maximum length: 40

    cURL request

    curl "https://instance.servicenow.com/api/now/account/bf60bef46f0331003b3c498f5d3ee41a" \
    --request GET \
    --header "Accept:application/json" \
    --user "username":"password"
    
    {
    "result": {
      "banner_image_light": "",
      "country": "USA",
      "parent": "",
      "notes": "",
      "stock_symbol": "",
      "discount": "",
      "active_escalation": "e4fa242887150300fe4433d4c6cb0b5f",
      "sys_updated_on": "2020-07-30 21:57:54",
      "apple_icon": "",
      "number": "ACCT0000009",
      "sys_updated_by": "admin",
      "fiscal_year": "",
      "sys_created_on": "2019-09-16 21:19:27",
      "contact": "bea1fef46f0331003b3c498f5d3ee4c5",
      "stock_price": "",
      "state": "California",
      "banner_image": "",
      "sys_created_by": "venki",
      "longitude": "-122.116445",
      "zip": "94022",
      "profits": "0",
      "phone": "(877) 729-4269",
      "fax_phone": "",
      "name": "Avid Corporation",
      "banner_text": "",
      "account_code": "~~~~9",
      "primary": "false",
      "city": "Los Altos",
      "latitude": "37.402666",
      "sys_class_name": "customer_account",
      "manufacturer": "false",
      "account_parent": "",
      "sys_id": "bf60bef46f0331003b3c498f5d3ee41a",
      "market_cap": "0",
      "num_employees": "",
      "rank_tier": "",
      "street": "4440 El Camino Real",
      "vendor": "false",
      "lat_long_error": "",
      "theme": "",
      "vendor_type": "",
      "website": "http://www.avidcorp.com",
      "revenue_per_year": "0",
      "publicly_traded": "false",
      "sys_mod_count": "10",
      "sys_tags": "",
      "partner": "false",
      "registration_code": "AVID",
      "vendor_manager": "",
      "account_path": "~~~~9",
      "primary_contact": "bea1fef46f0331003b3c498f5d3ee4c5",
      "customer": "true"
     }
    }